<!--
*************************************************************************
* Copyright (C) 2014 Canon Inc. All rights reserved.                    *
*************************************************************************
-->
<!--
*************************************************************************
* Ver5.40 Installer PCL5 UK                                             *
*************************************************************************
-->
<?xml version="1.0" encoding="utf-8"?>
<discovery xmlns="urn:slpdiscovery">
  <refreshRate>60</refreshRate>
  <timeout>4</timeout>
  <destinationAddressIPv6>ff02::1</destinationAddressIPv6>
  <methodList onlyMatching="true">
    <!-- SLP method to find "service:printer" devices -->
    <method name="Test" serviceType="printer.canon">
      <AttributeList>
        <devNameOID>x-can-PdInfoMachineName</devNameOID>
        <devTypeOID>x-can-PdInfoProductName</devTypeOID>
        <sysDescOID>sysDescr</sysDescOID>
      </AttributeList>
      <deviceList>
        <device name="Canon iR2016 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2016</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR1600-2000 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2000</devTypeStr>
            <devTypeStr>iR1600</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR1600-2000 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2010</devTypeStr>
            <devTypeStr>iR1610</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR2020 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2020</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR2018 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2018</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR1018/1022/1023 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR1018</devTypeStr>
            <devTypeStr>iR1022</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon GP300-405 PCL">
          <matchingDevTypeStrs>
            <devTypeStr>iR330-400PCL</devTypeStr>
            <devTypeStr>GP300-405PCL</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon GP300-405 PCL">
          <matchingDevTypeStrs>
            <devTypeStr>iR330-400PSPCL</devTypeStr>
            <devTypeStr>GP300-405PSPCL</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon GP555-605-605P PCL">
          <matchingDevTypeStrs>
            <devTypeStr>GP605-605P</devTypeStr>
            <devTypeStr>GP605-605PPS</devTypeStr>
            <devTypeStr>GP605-605PPSPCL</devTypeStr>
            <devTypeStr>iR600-60</devTypeStr>
            <devTypeStr>iR600-60PS</devTypeStr>
            <devTypeStr>iR600-60PSPCL</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR400 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR400PSPCL</devTypeStr>
            <devTypeStr>iR400PCL</devTypeStr>
            <devTypeStr>iR330-400-P1_PSPCL</devTypeStr>
            <devTypeStr>iR330-400-R1_PCL</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR2200-3300 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2200</devTypeStr>
            <devTypeStr>iR2800</devTypeStr>
            <devTypeStr>iR3300</devTypeStr>
            <devTypeStr>iR2200i</devTypeStr>
            <devTypeStr>iR2800i</devTypeStr>
            <devTypeStr>iR3300i</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR2220/iR3320 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2220</devTypeStr>
            <devTypeStr>iR3320</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR2230 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2230</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR1020/1024/1025 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR1020</devTypeStr>
            <devTypeStr>iR1024</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR3025 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR3025</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR3225 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR3225</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR2270/iR2870 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2270</devTypeStr>
            <devTypeStr>iR2870</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR2830 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2830</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR2022/2025/2030 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR2022</devTypeStr>
            <devTypeStr>iR2025</devTypeStr>
            <devTypeStr>iR2030</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR3030 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR3030</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR3230 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR3230</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR3530 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR3530</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR3570/iR4570 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR3570</devTypeStr>
            <devTypeStr>iR4570</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR4530 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR4530</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR3035/iR3045 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR3035</devTypeStr>
            <devTypeStr>iR3045</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR3235/iR3245 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR3235</devTypeStr>
            <devTypeStr>iR3245</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5050 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5050</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5050-S2 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5050-S2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5000-6000 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5000-6000</devTypeStr>
            <devTypeStr>iR5000</devTypeStr>
            <devTypeStr>iR6000</devTypeStr>
            <devTypeStr>iR5000i</devTypeStr>
            <devTypeStr>iR6000i</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5000-6000-L1 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5000-L1</devTypeStr>
            <devTypeStr>iR6000-L1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5020/iR6020 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5020</devTypeStr>
            <devTypeStr>iR6020</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5055/iR5065 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5055</devTypeStr>
            <devTypeStr>iR5065</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5055/iR5065-S2 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5055-S2</devTypeStr>
            <devTypeStr>iR5065-S2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5570/iR6570 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5570</devTypeStr>
            <devTypeStr>iR6570</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5570/iR6570-M3 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5570-M3</devTypeStr>
            <devTypeStr>iR6570-M3</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5070-iR6570-S1 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5070-S1</devTypeStr>
            <devTypeStr>iR5570-S1</devTypeStr>
            <devTypeStr>iR6570-S1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR7200 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR7200</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR7200-M1 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR7200-M1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR7200-M2 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR7200-M2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5075 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5075</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR5075-S2 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR5075-S2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR8070 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR8070</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR8070-M3 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR8070-M3</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR8070-S1 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR8070-S1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR8500 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR8500</devTypeStr>
            <devTypeStr>iR85</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR8500-M1 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR8500-M1</devTypeStr>
            <devTypeStr>iR85-M1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR8500-M2 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR8500-M2</devTypeStr>
            <devTypeStr>iR85-M2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR85PLUS PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR85PLUS</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR85PLUS-M3 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR85PLUS-M3</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR9070 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR9070</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR9070-M3 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR9070-M3</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR105 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR105</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR105-M1 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR105-M1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR105-M2 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR105-M2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR105PLUS PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR105PLUS</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR105PLUS-M3 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR105PLUS-M3</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR7086-7105 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR7086</devTypeStr>
            <devTypeStr>iR7095</devTypeStr>
            <devTypeStr>iR7105</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR7086-7105-S1 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR7086-S1</devTypeStr>
            <devTypeStr>iR7095-S1</devTypeStr>
            <devTypeStr>iR7105-S1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR7086-7105-S2 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>iR7086-S2</devTypeStr>
            <devTypeStr>iR7095-S2</devTypeStr>
            <devTypeStr>iR7105-S2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iPR C1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iPR C1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iPR C1PLUS PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iPR C1PLUS</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iPR C6000VP PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iPR C6000VP</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iPR C6000 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iPR C6000</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iPR C7000VP PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iPR C7000VP</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iRC1021/1022 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C1022</devTypeStr>
            <devTypeStr>iR C1021</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iPR Server T1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iPR C1-T1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iPR C1PLUS-T1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iPR C1PLUS-T1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C2000 series PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C2000 series</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C2620 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C2620</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon CLC-iR C2620-C1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C2620-C1</devTypeStr>
            <devTypeStr>CLC-iR C2620-C1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon CLC-iR C2620-C2 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C2620-C2</devTypeStr>
            <devTypeStr>CLC-iR C2620-C2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C3080/C2880-J1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C2880-J1</devTypeStr>
            <devTypeStr>iR C3380-J1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C3100 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C3100</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 3100C EUR PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 3100C EUR</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 3100C-C3100-E1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C3100-E1</devTypeStr>
            <devTypeStr>iR 3100C-C3100-E1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C3200 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C3200</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C3220 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C3220</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon CLC-iR C3200-C1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C3200-C1</devTypeStr>
            <devTypeStr>CLC-iR C3200-C1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon CLC-iR C3220-C1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C3220-C1</devTypeStr>
            <devTypeStr>CLC-iR C3220-C1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon CLC-iR C3220-C2 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C3220-C2</devTypeStr>
            <devTypeStr>CLC-iR C3220-C2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C2880/C3380 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C2880</devTypeStr>
            <devTypeStr>iR C3380</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C3580/C3380-J1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C2880-J1</devTypeStr>
            <devTypeStr>iR C3380-J1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C3080/3480/3580 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C3080</devTypeStr>
            <devTypeStr>iR C3480</devTypeStr>
            <devTypeStr>iR C3580</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C2380/2550 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C2380</devTypeStr>
            <devTypeStr>iR C2550</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon CLC4040-H1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>CLC4040-iR C4580-H1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C4080/C4580-H1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C4080-H1</devTypeStr>
            <devTypeStr>iR C4580-H1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C4080/C4580 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C4080</devTypeStr>
            <devTypeStr>iR C4580</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon CLC5151-H1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>CLC5151-iR C5180-H1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C5180-H1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C5180-H1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C5180 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C5180</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C5185 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C5185</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C5185-H1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C5185-H1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C5800 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C5800</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 5800C EUR PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 5800C EUR</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 5800C-C5800-D1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C5800-D1</devTypeStr>
            <devTypeStr>iR 5800C-C5800-D1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 5870C EUR PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 5870C EUR</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C5870 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C5870</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 58x0C-C58x0-G1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C5870-G1</devTypeStr>
            <devTypeStr>iR 5870C-C5870-G1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 5880C/6880C EUR PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 5880C EUR</devTypeStr>
            <devTypeStr>iR 6880C EUR</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C5880/C6880 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C5880</devTypeStr>
            <devTypeStr>iR C6880</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C6800 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C6800</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 6800C EUR PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 6800C EUR</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 6800C-C6800-D1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C6800-D1</devTypeStr>
            <devTypeStr>iR 6800C-C6800-D1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 6870C EUR PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 6870C EUR</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C6870 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C6870</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 68x0C-C68x0-G1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C6870-G1</devTypeStr>
            <devTypeStr>iR 6870C-C6870-G1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 2570C EUR PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 2570C EUR</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 2570C-C2570-F1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 2570C-C2570-F1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 2570C-C2570-F2 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 2570C-C2570-F2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C2570 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C2570</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C2580 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C2580</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 3170C EUR PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 3170C EUR</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 3170C-C3170-F1 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 3170C-C3170-F1</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 3170C-C3170-F2 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 3170C-C3170-F2</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C3170 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C3170</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR 3180C EUR PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR 3180C EUR</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon iR C3180 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>iR C3180</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon MF7100 Series PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>MF7100 Series</devTypeStr>
            <devTypeStr>MF7170i</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon MF9100/9300 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>MF9100 Series</devTypeStr>
            <devTypeStr>MF9100/9300 Series</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon LBP-2000 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>Canon Inc. LBP-2000 Printer</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon LBP3360 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>LBP3360</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon LBP3370 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>LBP3370</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon LBP5360 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>LBP5360</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon LBP3460 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>LBP3460</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon LBP5960 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>LBP5960</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon LBP7750C/5460 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>LBP7750C</devTypeStr>
            <devTypeStr>LBP5460</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon LBP5970/5975 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>LBP5970</devTypeStr>
            <devTypeStr>LBP5975</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon FAX-L2000 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>LASER CLASS 700</devTypeStr>
            <devTypeStr>FAX-L2000</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon LC800/L3000 PCL5e">
          <matchingDevTypeStrs>
            <devTypeStr>LC800</devTypeStr>
            <devTypeStr>L3000</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon BIJ1350 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>BIJ1350 PCL</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon BIJ2350 PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>BIJ2350 PCL</devTypeStr>
          </matchingDevTypeStrs>
        </device>
        <device name="Canon BIJ1350D PCL5c">
          <matchingDevTypeStrs>
            <devTypeStr>BIJ1350D PCL</devTypeStr>
          </matchingDevTypeStrs>
        </device>
      </deviceList>
    </method>
  </methodList>
</discovery>
